JEIEvents.hideItems(GregTechApocalypse => {
  GregTechApocalypse.hide(/extrastorage:(block|disk|storagepart)_.+/)
  GregTechApocalypse.hide(/extrastorage:advanced_(importer|exporter)/)
  GregTechApocalypse.hide(/rebornstorage:(small|medium|large|larger)_(item|fluid)_disk.*/)
  GregTechApocalypse.hide(/ae2:facade/)
  GregTechApocalypse.hide('ad_astra:etrionic_blast_furnace')
  GregTechApocalypse.hide('compactmachines:wall')
  GregTechApocalypse.hide(/functionalstorage:oak_(1|2|4)/)
  GregTechApocalypse.hide(/functionalstorage:spruce_(1|2|4)/)
  GregTechApocalypse.hide(/functionalstorage:birch_(1|2|4)/)
  GregTechApocalypse.hide(/functionalstorage:jungle_(1|2|4)/)
  GregTechApocalypse.hide(/functionalstorage:acacia_(1|2|4)/)
  GregTechApocalypse.hide(/functionalstorage:dark_oak_(1|2|4)/)
  GregTechApocalypse.hide(/functionalstorage:spruce_(1|2|4)/)
  GregTechApocalypse.hide(/functionalstorage:crimson_(1|2|4)/)
  GregTechApocalypse.hide(/functionalstorage:warped_(1|2|4)/)
  GregTechApocalypse.hide(/functionalstorage:mangrove_(1|2|4)/)
  GregTechApocalypse.hide(/functionalstorage:cherry_(1|2|4)/)
  GregTechApocalypse.hide('numismatics:creative_vendor')
  GregTechApocalypse.hide('rftoolsutility:creative_screen')
  GregTechApocalypse.hide('rftoolspower:dimensionalcell_creative')
  GregTechApocalypse.hide('rftoolspower:blazing_generator')
  GregTechApocalypse.hide('rftoolspower:coalgenerator')
  GregTechApocalypse.hide('draconicevolution:creative_op_capacitor')
  GregTechApocalypse.hide('draconicevolution:creative_capacitor')
  GregTechApocalypse.hide('draconicevolution:generator')
  GregTechApocalypse.hide('psi:cad_assembly_creative')
  GregTechApocalypse.hide('undead_revamp2:toothmace')
  GregTechApocalypse.hide('modularrouters:creative_module')
  GregTechApocalypse.hide('gag:hearthstone')
  GregTechApocalypse.hide('gag:energized_hearthstone')
  GregTechApocalypse.hide('nameless_trinkets:fragile_cloud')
  GregTechApocalypse.hide('nameless_trinkets:fate_emerald')
  GregTechApocalypse.hide('nameless_trinkets:dragons_eye')
  GregTechApocalypse.hide('nameless_trinkets:reforger')
  GregTechApocalypse.hide('nameless_trinkets:ethereal_wings')
  GregTechApocalypse.hide('nameless_trinkets:moon_stone')
  GregTechApocalypse.hide('nameless_trinkets:ghast_eye')
  GregTechApocalypse.hide('nameless_trinkets:wooden_stick')
  GregTechApocalypse.hide('nameless_trinkets:sigil_of_baphomet')
  GregTechApocalypse.hide('nameless_trinkets:fertilizer')
  GregTechApocalypse.hide('nameless_trinkets:blindfold')
  GregTechApocalypse.hide('nameless_trinkets:vampire_blood')
  GregTechApocalypse.hide('nameless_trinkets:missing_page')
  GregTechApocalypse.hide('nameless_trinkets:reverse_card')
  GregTechApocalypse.hide('nameless_trinkets:what_magnet')
  GregTechApocalypse.hide('immersiveengineering:capacitor_creative')
  GregTechApocalypse.hide('immersiveengineering:armor_steel_helmet')
  GregTechApocalypse.hide('immersiveengineering:armor_steel_chestplate')
  GregTechApocalypse.hide('immersiveengineering:armor_steel_leggings')
  GregTechApocalypse.hide('immersiveengineering:armor_steel_boots')
  GregTechApocalypse.hide('immersiveengineering:sword_steel')
  GregTechApocalypse.hide('immersiveengineering:axe_steel')
  GregTechApocalypse.hide('immersiveengineering:pickaxe_steel')
  GregTechApocalypse.hide('immersiveengineering:shovel_steel')
  GregTechApocalypse.hide('immersiveengineering:hoe_steel')
  GregTechApocalypse.hide('immersiveengineering:armor_faraday_helmet')
  GregTechApocalypse.hide('immersiveengineering:armor_faraday_chestplate')
  GregTechApocalypse.hide('immersiveengineering:armor_faraday_leggings')
  GregTechApocalypse.hide('immersiveengineering:armor_faraday_boots')
  GregTechApocalypse.hide('immersiveengineering:thermoelectric_generator')
  GregTechApocalypse.hide('immersivepetroleum:gas_generator')
  GregTechApocalypse.hide('mapperbase:steel_helmet')
  GregTechApocalypse.hide('mapperbase:steel_chestplate')
  GregTechApocalypse.hide('mapperbase:steel_leggings')
  GregTechApocalypse.hide('mapperbase:steel_boots')
  GregTechApocalypse.hide('mapperbase:steel_sword')
  GregTechApocalypse.hide('mapperbase:steel_axe')
  GregTechApocalypse.hide('mapperbase:steel_pickaxe')
  GregTechApocalypse.hide('mapperbase:steel_shovel')
  GregTechApocalypse.hide('mapperbase:steel_hoe')
  GregTechApocalypse.hide('survival_instinct:fire_figher_helmet')
  GregTechApocalypse.hide('survival_instinct:fire_figher_chestplate')
  GregTechApocalypse.hide('survival_instinct:fire_figher_leggings')
  GregTechApocalypse.hide('survival_instinct:fire_figher_boots')
  GregTechApocalypse.hide('survival_instinct:military_helmet')
  GregTechApocalypse.hide('survival_instinct:military_chestplate')
  GregTechApocalypse.hide('survival_instinct:military_leggings')
  GregTechApocalypse.hide('survival_instinct:military_boots')
  GregTechApocalypse.hide('survival_instinct:chicken_head_helmet')
  GregTechApocalypse.hide('survival_instinct:hunt_knife')
  GregTechApocalypse.hide('survival_instinct:tactical_knife')
  GregTechApocalypse.hide('survival_instinct:kitchen_knife')
  GregTechApocalypse.hide('survival_instinct:machete')
  GregTechApocalypse.hide('survival_instinct:greataxe_stop_sign')
  GregTechApocalypse.hide('survival_instinct:american_fist')
  GregTechApocalypse.hide('survival_instinct:baseball_bat_sword')
  GregTechApocalypse.hide('survival_instinct:steellium_pipe_mace')
  GregTechApocalypse.hide('survival_instinct:nails_hammer')
  GregTechApocalypse.hide('survival_instinct:wrench_mace')
  GregTechApocalypse.hide('survival_instinct:screwdriver_rapier')
  GregTechApocalypse.hide('survival_instinct:sickle')
  GregTechApocalypse.hide('survival_instinct:lance_pitchfork')
  GregTechApocalypse.hide('survival_instinct:lever_mace')
  GregTechApocalypse.hide('survival_instinct:fire_axe')
  GregTechApocalypse.hide('survival_instinct:sledge_great_hammer')
  GregTechApocalypse.hide('survival_instinct:pipe_wrench_mace')
  GregTechApocalypse.hide('survival_instinct:hand_hammer')
  GregTechApocalypse.hide('survival_instinct:hand_axe')
  GregTechApocalypse.hide('survival_instinct:police_baton_mace')
  GregTechApocalypse.hide('survival_instinct:katana')
  GregTechApocalypse.hide('survival_instinct:electric_guitar_greataxe')
  GregTechApocalypse.hide('survival_instinct:fire_fighter_helmet')
  GregTechApocalypse.hide('survival_instinct:fire_fighter_chestplate')
  GregTechApocalypse.hide('survival_instinct:fire_fighter_leggings')
  GregTechApocalypse.hide('survival_instinct:fire_fighter_boots')
  GregTechApocalypse.hide('survival_instinct:green_recluit_armor_helmet')
  GregTechApocalypse.hide('survival_instinct:green_recluit_armor_chestplate')
  GregTechApocalypse.hide('survival_instinct:green_recluit_armor_leggings')
  GregTechApocalypse.hide('survival_instinct:green_recluit_armor_boots')
  GregTechApocalypse.hide('survival_instinct:motorcycle_helmet')
  GregTechApocalypse.hide('sophisticatedbackpacks:feeding_upgrade')
  GregTechApocalypse.hide('sophisticatedbackpacks:advanced_feeding_upgrade')
  GregTechApocalypse.hide('sophisticatedstorage:feeding_upgrade')
  GregTechApocalypse.hide('sophisticatedstorage:advanced_feeding_upgrade')

  Color.DYE.forEach(color => {
    ['controller', 'creative_controller', 'grid', 'crafting_grid', 'pattern_grid', 'fluid_grid', 'network_receiver', 'network_transmitter', 'relay', 'detector', 'security_manager', 'wireless_transmitter', 'disk_manipulator', 'crafter', 'crafter_manager', 'crafting_monitor'].forEach(machine => {
      GregTechApocalypse.hide(`refinedstorage:${color}_${machine}`)
  })
})

})